/Users/bernard/b20/bsoft/src/jviews.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/jviews.cpp - Generates views covering an asymmetric unit or all symmetry related views.

SYNOPSIS

#include 'rwstar.h'
#include 'rwmg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'
#include 'mg_processing.h'
#include 'mg_extract.h'
#include 'mg_subtomo.h'
#include 'spline.h'
#include 'random_numbers.h'
#include <fstream>

  Functions
int pdb_matrices_from_particles (Bparticle *part, Vector3< double > sampling, Bstring &filename)
Generates PDB file matrices from particle views and locations.
int cmm_views (Bstring &filename, Bparticle *part, Vector3< double > sampling, long part_sel, double fom_cutoff, double colorfom_min, double colorfom_max, RGB< double > color, double diameter, double length, double thickness)
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Generates views covering an asymmetric unit or all symmetry related views.

Author:
    Juha Huiskonen

    Bernard Heymann

Date:
    Created: 20071203

    Modified: 20080925

    Modified: 20081126 added shift option

    Modified: 20090204 added asymmetric unit views

    Modified: 20090205 added random views

    Modified: 20090206 added PDB output

    Modified: 20090408 added generate views option

    Modified: 20100527 added -Grid option

    Modified: 20110510 changed the orientation of the views when creating a Chimera marker file

    Modified: 20111208 added -Top option

    Modified: 20120123 (BH)

    Modified: 20120316 added -randomizealpha option

    Modified: 20150108 (BH) - incorporated into Bsoft

    Writes particle views into a Chimera markerfile for visualization
    Writes particle orientations into a PDB file as BIOIMT matrices
    (these can be combined with a pseudoatomic model of the template, and all orientations
    can be visualized in Chimera)

Definition in file jviews.cpp.

Function Documentation

  int cmm_views (Bstring & filename, Bparticle * part, Vector3< double > sampling, long part_sel, double fom_cutoff, double colorfom_min, double colorfom_max, RGB< double > color, double diameter, double length, double thickness)

Definition at line 78 of file jviews.cpp.

  int main (int argc, char ** argv)

Definition at line 208 of file jviews.cpp.

  int pdb_matrices_from_particles (Bparticle * part, Vector3< double > sampling, Bstring & filename)

Generates PDB file matrices from particle views and locations.

Parameters:
    *part list of particles.
    sampling spatial sampling.
    &filename PDB file with matrices.

Returns:
    int 0. Writes a PDB file. Uses the BIOMT records.

Definition at line 51 of file jviews.cpp.

Variable Documentation

  const char* use[]

Definition at line 162 of file jviews.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.